clear all
% Runs a battery of test problems for the Acoustics Toolbox
% These are a lot of cases ... You may need to run groups of cases
% separately to avoid having your computer freeze due to too many figures
% or memory issues

% SPARC
sparc( 'iso' )
plotts( 'iso.rts' )

% bounce
bounce( 'refl' )
plotbrc( 'refl' )

%%
cases = [ 'free       '; ...
          'VolAtt     '; ...
          'halfspace  '; ...
          'calib      '; ...
          'Munk       '; ...
          'MunkLeaky  '; ...
          'MunkRot    '; ...
          'sduct      '; ...
          'Dickins    '; ...
          'arctic     '; ...
          'SBCX       '; ...
          'BeamPattern'; ...
          'TabRefCoef '; ...
          'PointLine  '; ...
          'ParaBot    '; ...
          'Ellipse    '; ...
          'terrain    '; ...
          '3DAtlantic '; ...
          'wedge      '; ...
          'Gulf       '; ...
          'block      '; ...
          'PekerisRD  '; ...
          'step       '; ...
          'BroadBand  '; ...
          'SedAtten   '; ...
          'head       '; ...
          'TLslices   '; ...
          'Noise      '; ...   % uses a lot of memory and time
              ];

for icase = 1 : size( cases, 1 )
    directory = deblank( cases( icase, : ) )
    eval( [ 'cd ' directory ] );
    runtests
    cd ..
end
